#ifndef __HARDWARE__
#define __HARDWARE__

#include "LPC11xx.h"


#define _BV(x) 	(1<<(x))

#define JOY_OK_PIN	_BV(3)
#define LED_1_PIN	_BV(6)
#define LED_2_PIN	_BV(7)

#define JOY_OK		LPC_GPIO0, JOY_OK_PIN
#define LED_1		LPC_GPIO0, LED_1_PIN
#define LED_2		LPC_GPIO0, LED_2_PIN

#define JOY_U_PIN	_BV(8)
#define JOY_D_PIN	_BV(9)
#define JOY_L_PIN	_BV(10)
#define JOY_R_PIN	_BV(11)
#define JOY_U		LPC_GPIO1, JOY_U_PIN
#define JOY_D		LPC_GPIO1, JOY_D_PIN
#define JOY_L		LPC_GPIO1, JOY_L_PIN
#define JOY_R		LPC_GPIO1, JOY_R_PIN

#endif
